;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 20

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| AI |----------------------------
[Command]
name = "AI_1"
command = a,a,a,a
time = 0
[Command]
name = "AI_2"
command = a,a,a,b
time = 0
[Command]
name = "AI_3"
command = a,a,a,c
time = 0
[Command]
name = "AI_4"
command = a,a,b,a
time = 0
[Command]
name = "AI_5"
command = a,a,b,b
time = 0
[Command]
name = "AI_6"
command = a,a,b,c
time = 0
[Command]
name = "AI_7"
command = a,a,c,a
time = 0
[Command]
name = "AI_8"
command = a,a,c,b
time = 0
[Command]
name = "AI_9"
command = a,a,c,c
time = 0
[Command]
name = "AI_10"
command = a,b,a,a
time = 0
[Command]
name = "AI_11"
command = a,b,a,b
time = 0
[Command]
name = "AI_12"
command = a,b,a,c
time = 0
[Command]
name = "AI_13"
command = a,b,b,a
time = 0
[Command]
name = "AI_14"
command = a,b,b,b
time = 0
[Command]
name = "AI_15"
command = a,b,b,c
time = 0
[Command]
name = "AI_16"
command = a,b,c,a
time = 0
[Command]
name = "AI_17"
command = a,b,c,b
time = 0
[Command]
name = "AI_18"
command = a,b,c,c
time = 0
[Command]
name = "AI_19"
command = a,c,a,a
time = 0
[Command]
name = "AI_20"
command = a,c,a,b
time = 0
[Command]
name = "AI_21"
command = a,c,a,c
time = 0
[Command]
name = "AI_22"
command = a,c,b,a
time = 0
[Command]
name = "AI_23"
command = a,c,b,b
time = 0
[Command]
name = "AI_24"
command = a,b,b,c
time = 0
[Command]
name = "AI_25"
command = a,c,c,a
time = 0
[Command]
name = "AI_26"
command = a,c,c,b
time = 0
[Command]
name = "AI_27"
command = a,c,c,c
time = 0
[Command]
name = "AI_28"
command = b,a,a,a
time = 0
[Command]
name = "AI_29"
command = b,a,a,b
time = 0
[Command]
name = "AI_30"
command = b,a,a,c
time = 0
[Command]
name = "AI_31"
command = b,a,b,a
time = 0
[Command]
name = "AI_32"
command = b,a,b,b
time = 0
[Command]
name = "AI_33"
command = b,a,b,c
time = 0
[Command]
name = "AI_34"
command = b,a,c,a
time = 0
[Command]
name = "AI_35"
command = b,a,c,b
time = 0
[Command]
name = "AI_36"
command = b,a,c,c
time = 0
[Command]
name = "AI_37"
command = b,b,a,a
time = 0
[Command]
name = "AI_38"
command = b,b,a,b
time = 0
[Command]
name = "AI_39"
command = b,b,a,c
time = 0
[Command]
name = "AI_40"
command = b,b,b,a
time = 0
[Command]
name = "AI_41"
command = b,b,b,b
time = 0
[Command]
name = "AI_42"
command = b,b,b,c
time = 0
[Command]
name = "AI_43"
command = b,b,c,a
time = 0
[Command]
name = "AI_44"
command = b,b,c,b
time = 0
[Command]
name = "AI_45"
command = b,b,c,c
time = 0
[Command]
name = "AI_46"
command = b,c,a,a
time = 0
[Command]
name = "AI_47"
command = b,c,a,b
time = 0
[Command]
name = "AI_48"
command = b,c,a,c
time = 0
[Command]
name = "AI_49"
command = b,c,b,a
time = 0
[Command]
name = "AI_50"
command = b,c,b,b
time = 0

;-| Super Motions |--------------------------------------------------------
[Command]
name = "_EZ"
command = ~D,B,F,x+a
time = 30

[Command]
name = "NSESKs"
command = ~F,D,B,F,a
time = 30

;-| Special Motions |------------------------------------------------------
[Command]
name = "nrߊ"
command = ~F,B,F,y


[Command]
name = ""
command = ~F,DF,D,DB,B,y
time = 25


[Command]
name = "ߎh"
command = U,D,U,D
time = 20

[Command]
name = "sET"
command = F,B,F,B
time = 20


[Command]
name = "a"
command = ~B,DB,D,DF,F,a
time = 25

[Command]
name = "a"
command = ~B,DB,D,DF,F,x
time = 25


[Command]
name = "]̂"
command = ~F ,D ,DF ,a

[Command]
name = "]̂"
command = ~F ,D ,DF ,x




[Command]
name = "܏\ܗ아"
command = ~B ,D ,DB ,y

[Command]
name = "܏\ܗ아"
command = ~B ,D ,DB ,a

[Command]
name = "܏\ܗ아"
command = ~B ,D ,DB ,x


[Command]
name = "l`"
command = ~F ,D ,B ,a


[Command]
name = "l`"
command = ~F ,D ,B ,y


[Command]
name = "NSEDcV"
command = ~F ,D ,DF ,y

[Command]
name = "NSEDcV"
command = ~F ,D ,DF ,a

[Command]
name = "NSEDcV"
command = ~F ,D ,DF ,x


[Command]
name = "NSEP"
command = ~F ,D ,B ,x


[Command]
name = "VE]kl"
command = ~D ,U ,a

[Command]
name = "VȄ"
command = ~D ,U ,y


[Command]
name = "_EV"
command = ~D,DF, F, a

[Command]
name = "_EV"
command = ~D,DF, F, x













[Command]
name = "`tBjbVb"
command = ~D,DF, F, a

[Command]
name = "`tBjbVa"
command = ~D,DF, F, y

[Command]
name = "`tBjbV`"
command = ~D,DF, F, x

[Command]
name = "`a"
command = ~D,D,a

[Command]
name = "``"
command = ~D,D,x


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "ςȂx"
command = /$x
time = 1

[Command]
name = "ςȂy"
command = /$y
time = 1

[Command]
name = "ςȂa"
command = /$a
time = 1

[Command]
name = "ςȂb"
command = /$b
time = 1

[Command]
name = "ςȂz"
command = /$z
time = 1

[Command]
name = "ςȂc"
command = /$c
time = 1


[Command]
name = "ςȂs"
command = /$s
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "F"
command = F
time = 1

[Command]
name = "B"
command = B
time = 1

[Command]
name = "U"
command = U
time = 1

[Command]
name = "D"
command = D
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]


;===========================================================================
;---------------------------------------------------------------------------
;_EZE
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 2000
triggerall = !var(59)
triggerall = command = "_EZ"
triggerall = var(2) != 1
triggerall = power >= 3000 || life <= 300
trigger1 = stateno = 1120 && movecontact

;---------------------------------------------------------------------------
;_EZ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 2000
triggerall = !var(59)
triggerall = command = "_EZ"
triggerall = statetype != A
triggerall = power >= 3000 || life <= 300
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101


;---------------------------------------------------------------------------
;NSESKs
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 2100
triggerall = !var(59)
triggerall = command = "NSESKs"
triggerall = statetype != A
triggerall = var(2) != 1
triggerall = power >= 3000 && life <= 300
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101


;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;܏\ܗ아EYϖ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1700
triggerall = !var(59)
triggerall = command = "܏\ܗ아"
triggerall = statetype != A
triggerall = numhelper(1715) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101

;---------------------------------------------------------------------------
;l`
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1500
triggerall = !var(59)
triggerall = command = "l`"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101


;---------------------------------------------------------------------------
;l`
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1400
triggerall = !var(59)
triggerall = command = "l`"
triggerall = statetype != A
triggerall = numhelper(1400) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101

;---------------------------------------------------------------------------
;NSEDcV
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1300
triggerall = !var(59)
triggerall = command = "NSEDcV"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101

;---------------------------------------------------------------------------
;NSEPcc˂낱
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1200
triggerall = !var(59)
triggerall = command = "NSEP"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101

;---------------------------------------------------------------------------
;VȄ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1100
triggerall = !var(59)
triggerall = command = "VȄ"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101
trigger19= stateno = 40


;---------------------------------------------------------------------------
;_EVcc˂낱
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = !var(59)
triggerall = command = "_EV"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact && var(2) = 0
trigger11= stateno = 410 && movecontact && animelem = 4,<0 && var(2) != 0
trigger12= stateno = 420 && movecontact && var(2) != 0
trigger13= stateno = 430 && movecontact

trigger14= stateno = 300 && anim = 310
trigger15= stateno = 300 && anim = 311

;e
trigger16= stateno = 901 && movecontact

;_bV
trigger17= stateno = 100
trigger18= stateno = 101



;---------------------------------------------------------------------------
;VE̐
[State -1, Stand Light Punch]
type = ChangeState
value = 2900
triggerall = !var(59)
triggerall = var(2) != 0
triggerall = power >= 3000
triggerall = command = "``" || command = "`a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 225 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact && var(2) = 0
trigger8 = stateno = 270 && movecontact
trigger9 = stateno = 400 && movecontact && var(2) != 0
trigger10= stateno = 410 && movecontact
trigger11= stateno = 420 && movecontact && var(2) != 0
trigger12= stateno = 430 && movecontact

trigger13= stateno = 300 && anim = 310
trigger14= stateno = 300 && anim = 311

;e
trigger15= stateno = 901 && movecontact

;_bV
trigger16= stateno = 100
trigger17= stateno = 101

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = !var(59)
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = !var(59)
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;VEhj
[State -1, Kung Fu Throw]
type = ChangeState
value = 850
triggerall = !var(59)
triggerall = command = "y" && command = "b"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 901

;---------------------------------------------------------------------------
;EM
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = !var(59)
triggerall = command = "y" && command = "b"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;===========================================================================
;---------------------------------------------------------------------------
;hsU
[State -1, Stand Light Punch]
type = ChangeState
value = 250
triggerall = !var(59)
triggerall = var(2) = 0
triggerall = command = "a"
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101
trigger4 = stateno = 300 && anim = 302

;e
trigger5 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;łグa
[State -1, Stand Light Punch]
type = ChangeState
value = 260
triggerall = !var(59)
triggerall = var(2) != 0
triggerall = command = "a"
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 200 && var(11) = 1 && movecontact
trigger5 = stateno = 205 && var(11) = 1 && movecontact
trigger6 = stateno = 210 && var(11) = 1 && movecontact
trigger7 = stateno = 400 && var(11) = 1 && movecontact
trigger8 = stateno = 410 && var(11) = 1 && movecontact
trigger9 = stateno = 270 && var(11) = 1 && movecontact
trigger10= stateno = 280 && var(11) = 1 && movecontact

;e
trigger11= stateno = 901 && movecontact

;---------------------------------------------------------------------------
;_bVႪݎa
[State -1, Crouching Light Punch]
type = ChangeState
value = 450
triggerall = !var(59)
triggerall = command = "x" || command = "a"
triggerall = command = "holddown"
triggerall = var(5) = 1
trigger1 = stateno = 101


;---------------------------------------------------------------------------
;_bVEa
[State -1, Crouching Light Punch]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x" && command = "a"
triggerall = command != "holddown"
triggerall = time >= 10
trigger1 = stateno = 100

;---------------------------------------------------------------------------
;_bVa
[State -1, Crouching Light Punch]
type = ChangeState
value = 270
triggerall = !var(59)
triggerall = command = "x" || command = "a"
triggerall = command != "holddown"
triggerall = time >= 10
trigger1 = stateno = 100



;---------------------------------------------------------------------------
;Ⴊݎa
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 200 && var(11) = 1 && movecontact
trigger5 = stateno = 205 && var(11) = 1 && movecontact

;e
trigger6 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;ǂ2
[State -1, Crouching Light Punch]
type = ChangeState
value = 445
triggerall = !var(59)
triggerall = (enemy,stateno = 238) || (enemy,stateno = [5100,5140])
triggerall = command = "y"
triggerall = command = "holdup"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101
trigger4 = stateno = 40

;---------------------------------------------------------------------------
;ǂ
[State -1, Crouching Light Punch]
type = ChangeState
value = 440
triggerall = !var(59)
triggerall = enemy,stateno = [5100,5140]
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;---------------------------------------------------------------------------
;Ⴊݒa
[State -1, Crouching Light Punch]
type = ChangeState
value = 410
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 200 && var(11) = 1 && movecontact
trigger5 = stateno = 205 && var(11) = 1 && movecontact
trigger6 = stateno = 400 && var(11) = 1 && movecontact
trigger7 = stateno = 270 && var(11) = 1 && movecontact
trigger8 = stateno = 280 && var(11) = 1 && movecontact

;e
trigger9 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;
[State -1, Crouching Light Punch]
type = ChangeState
value = 430
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;e
trigger4 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;ႪݏR
[State -1, Crouching Light Punch]
type = ChangeState
value = 420
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;e
trigger4 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;EcbR~͂
[State -1, Stand Light Punch]
type = ChangeState
value = 205
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;e
trigger4 = stateno = 901 && movecontact

;---------------------------------------------------------------------------
;EM
[State -1, Stand Light Punch]
type = ChangeState
value = 225
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101
trigger4 = stateno = 200 && var(2) != 0 && movecontact
trigger5 = stateno = 205 && var(2) != 0 && movecontact
trigger6 = stateno = 210 && var(2) != 0 && movecontact
trigger7 = stateno = 280 && var(2) != 0 && movecontact

;e
trigger8 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;a
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 205 && var(11) = 1 && movecontact

;e
trigger5 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;a
[State -1, Stand Light Punch]
type = ChangeState
value = 220
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 200 && var(11) = 1 && movecontact
trigger5 = stateno = 205 && var(11) = 1 && movecontact
trigger6 = stateno = 210 && var(11) = 1 && movecontact
trigger7 = stateno = 400 && var(11) = 1 && movecontact
trigger8 = stateno = 410 && var(11) = 1 && movecontact
trigger9 = stateno = 270 && var(11) = 1 && movecontact
trigger10= stateno = 280 && var(11) = 1 && movecontact

;e
trigger11= stateno = 901 && movecontact


;---------------------------------------------------------------------------
;a
[State -1, Stand Light Punch]
type = ChangeState
value = 210
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 200 && var(11) = 1 && movecontact
trigger5 = stateno = 205 && var(11) = 1 && movecontact
trigger6 = stateno = 400 && var(11) = 1 && movecontact
trigger7 = stateno = 270 && var(11) = 1 && movecontact
trigger8 = stateno = 280 && var(11) = 1 && movecontact

;e
trigger9 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;˂΂U
[State -1, Stand Light Punch]
type = ChangeState
value = 235
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;AEa
trigger4 = stateno = 200 && var(11) = 1 && movecontact
trigger5 = stateno = 205 && var(11) = 1 && movecontact
trigger6 = stateno = 210 && var(11) = 1 && movecontact
trigger7 = stateno = 400 && var(11) = 1 && movecontact
trigger8 = stateno = 410 && var(11) = 1 && movecontact
trigger9 = stateno = 270 && var(11) = 1 && movecontact
trigger10= stateno = 280 && var(11) = 1 && movecontact

;e
trigger11= stateno = 901 && movecontact


;---------------------------------------------------------------------------
;R
[State -1, Stand Light Punch]
type = ChangeState
value = 230
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;e
trigger4 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 199
triggerall = !var(59)
triggerall = command = "start"
triggerall = statetype != A
trigger1 = ctrl


;---------------------------------------------------------------------------
;E݂
[State -1, Jump Light Punch]
type = ChangeState
value = 630
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && var(2) != 0 && movecontact
trigger3 = stateno = 610 && var(2) != 0 && movecontact
trigger4 = stateno = 620 && var(2) != 0 && movecontact

;e
trigger5 = stateno = 901 && movecontact

;---------------------------------------------------------------------------
;󒆎a
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = !var(59)
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl

;e
trigger2 = stateno = 901 && movecontact

;---------------------------------------------------------------------------
;󒆋a
[State -1, Jump Light Punch]
type = ChangeState
value = 610
triggerall = !var(59)
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl

;e
trigger2 = stateno = 901 && movecontact

;---------------------------------------------------------------------------
;󒆋R
[State -1, Jump Light Punch]
type = ChangeState
value = 620
triggerall = !var(59)
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl

;e
trigger2 = stateno = 901 && movecontact


;---------------------------------------------------------------------------
;K[hLZe
[State -1, Stand Light Punch]
type = ChangeState
triggerall = !var(59)
triggerall = power >= 1500
triggerall = command = "b"
trigger1 = stateno = 150
trigger2 = stateno = 151
trigger3 = stateno = 152
trigger4 = stateno = 153
value = 901


;---------------------------------------------------------------------------
;e
[State -1, Stand Light Punch]
type = ChangeState
triggerall = !var(59)
triggerall = command = "b"
triggerall = stateno = 901
trigger1 = anim = 901  && animelem = 4,>=0
trigger2 = anim = 911  && animelem = 4,>=0
value = 930

;---------------------------------------------------------------------------
;e
[State -1, Stand Light Punch]
type = ChangeState
value = 900
triggerall = !var(59)
triggerall = command = "b"
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101

;ȉJEJAI

[State -1]
type = Varset
triggerall = !var(59)
trigger1 = command = "AI_1" || command = "AI_2" || command = "AI_3" || command = "AI_4" || command = "AI_5"
trigger2 = command = "AI_6" || command = "AI_7" || command = "AI_8" || command = "AI_9" || command = "AI_10"
trigger3 = command = "AI_11" || command = "AI_12" || command = "AI_13" || command = "AI_14" || command = "AI_15"
trigger4 = command = "AI_16" || command = "AI_17" || command = "AI_18" || command = "AI_19" || command = "AI_20"
trigger5 = command = "AI_21" || command = "AI_22" || command = "AI_23" || command = "AI_24" || command = "AI_25"
trigger6 = command = "AI_26" || command = "AI_27" || command = "AI_28" || command = "AI_29" || command = "AI_30"
trigger7 = command = "AI_31" || command = "AI_32" || command = "AI_33" || command = "AI_34" || command = "AI_35"
trigger8 = command = "AI_36" || command = "AI_37" || command = "AI_38" || command = "AI_39" || command = "AI_40"
trigger9 = command = "AI_41" || command = "AI_42" || command = "AI_43" || command = "AI_44" || command = "AI_45"
trigger10 = command = "AI_46" || command = "AI_47" || command = "AI_48" || command = "AI_49" || command = "AI_50"
var(59) = 10;̐1`10ɕςăxݒ

;---------------------------------------------------------------------------
;EM
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = ctrl && random < var(59)*10 || stateno = 100 || stateno = 101
trigger1 = p2bodydist X < 10
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger1 = target,prevstateno != 5120
trigger1 = p2movetype != A || enemynear,HitDefAttr = SCA, NA,SA,NT,ST,NP,SP

;---------------------------------------------------------------------------
;K[hLZe
[State -1, Stand Light Punch]
type = ChangeState
triggerall = random < var(59)*100 && roundstate = 2
triggerall = power >= 1500
trigger1 = stateno = [150,153]
trigger1 = life <= 300
trigger1 = p2movetype = A
trigger1 = p2statetype != A
trigger1 = random < var(59)
value = 901

;---------------------------------------------------------------------------
;e
[State -1, Stand Light Punch]
type = ChangeState
value = 900
triggerall = random < var(59)*100 && roundstate = 2
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = p2statetype != A
trigger1 = p2movetype != H
trigger1 = p2movetype = A && inguarddist && enemynear,HitDefAttr = SCA, NA,SA || p2statetype != L && p2bodydist X < 80
trigger1 = enemynear,Vel X >= 0
trigger1 = random < var(59)

;---------------------------------------------------------------------------
;l`
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1500
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = p2statetype = A
trigger1 = p2movetype != H
trigger1 = p2movetype = A && inguarddist && enemynear,HitDefAttr = SCA, NA || p2statetype != L && p2bodydist X < 80
trigger1 = enemynear,Vel X >= 0
trigger1 = random < var(59)*1

;---------------------------------------------
;Wv
[State -1]
type = ChangeState
value = 40
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A && ctrl || stateno = 100
trigger1 = p2movetype = A
trigger1 = enemynear,HitDefAttr = SCA, NP,SP
trigger1 = p2bodydist X > 100
trigger1 = random < var(59)*5
trigger2 = inguarddist
trigger2 = enemynear,HitDefAttr = SCA, HT

;---------------------------------------------
;K[h
[State -1]
type = ChangeState
value = 130
triggerall = random < var(59)*100 && roundstate = 2
triggerall = p2statetype != C
triggerall = inguarddist
trigger1 = statetype != A && ctrl

;---------------------------------------------
;݃K[h
[State -1]
type = ChangeState
value = 131
triggerall = random < var(59)*100 && roundstate = 2
triggerall = p2statetype = C
triggerall = inguarddist
trigger1 = statetype != A && ctrl

;---------------------------------------------
;󒆃K[h
[State -1]
type = ChangeState
value = 132
triggerall = random < var(59)*100 && roundstate = 2
triggerall = inguarddist
trigger1 = statetype = A && ctrl

;---------------------------------------------------------------------------
;VE̐
[State -1, Stand Light Punch]
type = ChangeState
value = 2900
triggerall = random < var(59)*100 && roundstate = 2
triggerall = var(2) != 0
triggerall = power >= 3000
triggerall = statetype != A
trigger1 = stateno = 210 && movehit && p2statetype != A
trigger1 = life <= 300
trigger1 = target,backedgebodydist < 5

;---------------------------------------------------------------------------
;NSESKs
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 2100
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = var(2) != 1
triggerall = power >= 3000 && life <= 300
trigger1 = stateno = 225 && animelem = 7 && movehit && p2statetype = A
trigger1 = p2bodydist X < 50
trigger1 = target,backedgebodydist < 5

;---------------------------------------------------------------------------
;_EZE
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 2000
triggerall = random < var(59)*100 && roundstate = 2
triggerall = var(2) != 1
triggerall = power >= 3000 || life <= 300
trigger1 = stateno = 1120 && movehit

;---------------------------------------------------------------------------
;_EZ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 2000
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = power >= 3000 || life <= 300
trigger1 = stateno = 225 && movehit && p2statetype = A
trigger1 = p2bodydist X < 60
trigger1 = target,backedgebodydist < 5
trigger1 = var(2) = 1
trigger2 = stateno = 210 && movehit && p2statetype != A
trigger2 = p2bodydist X > 50 || target,backedgebodydist > 5

;===========================================================================
;---------------------------------------------------------------------------
;l`
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1400
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = numhelper(1400) = 0
trigger1 = stateno = 230 && movehit
trigger2 = stateno = 810 && animtime = 0
trigger2 = p2bodydist X > 100

;---------------------------------------------------------------------------
;NSEPcc˂낱
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1200
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = stateno = 400 && movecontact && var(2) != 0
trigger1 = p2bodydist X > 40
trigger1 = random < var(59)

;---------------------------------------------------------------------------
;VȄ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1100
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = p2statetype = A
triggerall = p2bodydist X = [-5,60]
trigger1 = ctrl || stateno = 100 || stateno = 101 || stateno = 40
trigger1 = p2movetype != H
trigger1 = p2bodydist Y > -130
trigger1 = enemynear,Vel X >= 0
trigger1 = enemynear,Vel Y > 0
trigger1 = random < var(59)*5
trigger2 = stateno = 225 && animtime = 0 && movehit
trigger2 = target,backedgebodydist < 5
trigger3 = stateno = 200 && movehit
trigger3 = p2bodydist X < 30

;---------------------------------------------------------------------------
;_EVcc˂낱
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = p2movetype != H
trigger1 = p2bodydist X > 120
trigger1 = random < var(59)*3
trigger2 = (stateno = 200 || stateno = 210) && movecontact
trigger2 = p2bodydist X > 50

;===========================================================================
;---------------------------------------------------------------------------
;EM
[State -1, Stand Light Punch]
type = ChangeState
value = 225
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = p2bodydist X = [-5,50]
triggerall = p2statetype = A || p2bodydist X < 30
trigger1 = ctrl || stateno = 101
trigger1 = p2statetype != L
trigger1 = p2bodydist Y > -70
trigger1 = p2movetype = H && p2stateno != [150,155]
trigger1 = !var(2) || p2statetype = A
trigger2 = stateno = 280 && var(2) != 0 && movecontact > 15
trigger2 = p2statetype != A
trigger3 = (stateno = 200 || stateno = 400) && animtime = 0 && movehit

;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = ctrl
trigger1 = p2statetype != A
trigger1 = p2statetype != L && p2bodydist X > 50 && random < var(59)*3 || numhelper(1000)
trigger2 = p2stateno = 902 || p2stateno = [237,238]
trigger3 = prevstateno = 1210 && animtime = 0
trigger4 = stateno = 225 && animelem = 7 && movehit

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = random < var(59)*100 && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype = L
trigger1 = p2bodydist X = [-5,20]
trigger1 = backedgebodydist > 15

;---------------------------------------------------------------------------
;VEhj
[State -1, Kung Fu Throw]
type = ChangeState
value = 850
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2statetype = A
trigger1 = p2bodydist X = [-30,10]
trigger1 = p2bodydist Y = [-60,30]

;---------------------------------------------------------------------------
;˂΂U
[State -1, Stand Light Punch]
type = ChangeState
value = 235
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = stateno = 225 && animelem = 7 && movehit && p2statetype != A
trigger2 = stateno = 210 && var(11) = 1 && movehit
trigger2 = p2bodydist X < 50

;===========================================================================
;---------------------------------------------------------------------------
;Ⴊݎa
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
triggerall = p2statetype != L && p2statetype != A
triggerall = p2bodydist X = [-5,60]
triggerall = p2movetype != H || p2bodydist X < 50
trigger1 = ctrl || stateno = 101 || stateno = 400 && animtime = 0 && movecontact
trigger1 = p2movetype != H && random < var(59)*50 || var(2) = 0 || p2stateno = [150,151]
trigger1 = p2stateno != [152,153]
trigger2 = stateno = 200 && var(11) = 1 && movehit

;---------------------------------------------------------------------------
;
[State -1, Crouching Light Punch]
type = ChangeState
value = 430
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = stateno = 400 && animtime = 0 && movehit && p2bodydist X = [50,70]

;---------------------------------------------------------------------------
;a
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
trigger1 = p2statetype != L
trigger1 = p2bodydist X = [-5,60]
trigger1 = p2bodydist Y > -40
trigger1 = p2stateno != [150,155]

;---------------------------------------------------------------------------
;a
[State -1, Stand Light Punch]
type = ChangeState
value = 210
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = stateno = 400 && var(11) = 1 && movecontact

;---------------------------------------------------------------------------
;R
[State -1, Stand Light Punch]
type = ChangeState
value = 230
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype != A
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = p2stateno = 5101
trigger1 = p2bodydist X = [-5,50]

;---------------------------------------------------------------------------
;󒆏R
[State -1, Jump Light Punch]
type = ChangeState
value = 620
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2statetype != L
trigger1 = p2statetype = A || vel Y > 0
trigger1 = p2bodydist X < 40
trigger1 = p2bodydist Y = [-40,70]
trigger1 = p2stateno != 238

;---------------------------------------------------------------------------
;󒆎a
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2statetype != L
trigger1 = p2statetype = A || vel Y > 0
trigger1 = p2bodydist X = [10,80]
trigger1 = p2bodydist Y = [-40,90]
trigger1 = p2stateno != 238

;---------------------------------------------------------------------------
;󒆋a
[State -1, Jump Light Punch]
type = ChangeState
value = 610
triggerall = random < var(59)*100 && roundstate = 2
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2statetype != L && p2statetype != A
trigger1 = vel Y = [0,1]
trigger1 = p2bodydist X = [80,120]

[State -1,AIp]
type = changestate
trigger1 = random < var(59)*100 && stateno = 40
trigger1 = p2statetype != L && p2movetype = H && p2stateno != [150,155]
trigger1 = p2bodydist X < 60
trigger1 = prevstateno != 100
value = 0
ctrl = 1

[State -1,AIp]
type = VarSet
trigger1 = var(59) && stateno = 40
trigger1 = p2stateno = 538
trigger1 = random < var(59)*100
sysvar(1) = 1

[State -1]
Type = DisplayToClipboard
Trigger1 = 1
Text = "AI:%d, Pos X:%f, Pos Y:%f"
Params = var(2), P2BodyDist X, P2BodyDist Y
IgnoreHitPause = 1
SuperMoveTime = 9999
PauseMoveTime = 9999